<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ReferenciaCaixa extends Model
{
     
    use SoftDeletes;
    use HasFactory;
    protected $table="referenciascaixas";
    protected $dates = ['deleted_at'];
    protected $fillable=['numerodacaixa','estado','data','autor','seriedocumental_id','quantidade_caixas','flexibilizacao','tipoindexacao','numerodecaixafinal','codigo','recolha_id','departamento_id','funcionario_id','cliente_id','usuario_id','periodoinicial','periodofinal'];
    
    
    
    
    
    public function getFuncionario()
    {
        return $this->belongsTo(User::class, 'funcionario_id', 'id');
    }
    public function getUser()
    {
        return $this->belongsTo(User::class, 'usuario_id', 'id');
    }
    public function getCliente()
    {
        return $this->belongsTo(Cliente::class, 'cliente_id', 'id');
    }
    
    public function getDepartamento()
    {
        return $this->belongsTo(DepCliente::class, 'departamento_id', 'id');
    }   

}
